summaryrefslogtreecommitdiffstats
path: root/tests/run.sh
diff options
context:
space:
mode:
authorKarel Zak2012-07-30 18:00:33 +0200
committerKarel Zak2012-07-30 18:00:33 +0200
commitb5606aada4d84dbf529afd19fc992a7a7fdc1921 (patch)
treeea5567bd946e30fc9e1711273b94a6d39f1833f3 /tests/run.sh
parentbuild-sys: move tests to check_PROGRAMS (diff)
downloadkernel-qcow2-util-linux-b5606aada4d84dbf529afd19fc992a7a7fdc1921.tar.gz
kernel-qcow2-util-linux-b5606aada4d84dbf529afd19fc992a7a7fdc1921.tar.xz
kernel-qcow2-util-linux-b5606aada4d84dbf529afd19fc992a7a7fdc1921.zip
tests: check for 'make check'
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests/run.sh')
-rwxr-xr-xtests/run.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/run.sh b/tests/run.sh
index 43aae8306..15bce71ed 100755
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -57,9 +57,19 @@ if [ -n "$SUBTESTS" ]; then
done
else
# all tests
+ if [ ! -f "$TS_TOPDIR/../test_tt" ]; then
+ echo "Tests not compiled! Run 'make check' to fix the problem."
+ exit 1
+ fi
+ if [ ! -f "$TS_TOPDIR/commands.sh" ]; then
+ echo "Not ready to run tests! Run './configure' or './config.status' to fix the problem."
+ exit 1
+ fi
+
comps=$(find $TS_TOPDIR/ts/ -type f -perm /a+x -regex ".*/[^\.~]*" | sort)
fi
+
echo
echo "-------------------- util-linux regression tests --------------------"
echo